<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceId Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_xs_device_id-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceId Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains an Xsens device ID and provides operations for determining the type of device.  
 <a href="struct_xs_device_id.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac65542ab273b89f3d4cdaa25eb996bda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac65542ab273b89f3d4cdaa25eb996bda"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ac65542ab273b89f3d4cdaa25eb996bda">XsDeviceId</a> (uint32_t deviceId=0)</td></tr>
<tr class="memdesc:ac65542ab273b89f3d4cdaa25eb996bda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> from the supplied <em>deviceId</em>. <br /></td></tr>
<tr class="separator:ac65542ab273b89f3d4cdaa25eb996bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00743b079e8561b1552d709062590a58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00743b079e8561b1552d709062590a58"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a00743b079e8561b1552d709062590a58">XsDeviceId</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other)</td></tr>
<tr class="memdesc:a00743b079e8561b1552d709062590a58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> from the supplied <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> <em>other</em>. <br /></td></tr>
<tr class="separator:a00743b079e8561b1552d709062590a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a423cd3523001344447d860e994788868"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a423cd3523001344447d860e994788868"></a>
const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a423cd3523001344447d860e994788868">operator=</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other)</td></tr>
<tr class="memdesc:a423cd3523001344447d860e994788868"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign the <em>other</em> deviceId to this <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a>. <br /></td></tr>
<tr class="separator:a423cd3523001344447d860e994788868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a0215a49c4549b11858f153f1b83f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0a0215a49c4549b11858f153f1b83f3"></a>
const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ae0a0215a49c4549b11858f153f1b83f3">operator=</a> (uint32_t deviceId)</td></tr>
<tr class="memdesc:ae0a0215a49c4549b11858f153f1b83f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign the <em>deviceId</em> to this <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a>. <br /></td></tr>
<tr class="separator:ae0a0215a49c4549b11858f153f1b83f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9258f356a8d3897d91bbf3a093e68799"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9258f356a8d3897d91bbf3a093e68799"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a9258f356a8d3897d91bbf3a093e68799">toInt</a> () const </td></tr>
<tr class="memdesc:a9258f356a8d3897d91bbf3a093e68799"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the deviceId as an unsigned integer. <br /></td></tr>
<tr class="separator:a9258f356a8d3897d91bbf3a093e68799"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d826cd5a66c4c4875044cd48e6c9f45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d826cd5a66c4c4875044cd48e6c9f45"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6d826cd5a66c4c4875044cd48e6c9f45">toString</a> () const </td></tr>
<tr class="memdesc:a6d826cd5a66c4c4875044cd48e6c9f45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the deviceId as an <a class="el" href="struct_xs_string.html" title="A 0-terminated managed string of characters. ">XsString</a>. <br /></td></tr>
<tr class="separator:a6d826cd5a66c4c4875044cd48e6c9f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17cbb6ca784615b3da8f5e0d532603ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a17cbb6ca784615b3da8f5e0d532603ec">fromString</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;s)</td></tr>
<tr class="memdesc:a17cbb6ca784615b3da8f5e0d532603ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fills the deviceId with the parsed value from the supplied string <em>s</em>.  <a href="#a17cbb6ca784615b3da8f5e0d532603ec">More...</a><br /></td></tr>
<tr class="separator:a17cbb6ca784615b3da8f5e0d532603ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec199ecb8f0b1f1bd92e57b5a125cabf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec199ecb8f0b1f1bd92e57b5a125cabf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aec199ecb8f0b1f1bd92e57b5a125cabf">isValid</a> () const </td></tr>
<tr class="memdesc:aec199ecb8f0b1f1bd92e57b5a125cabf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the device ID is a valid id (not 0). <br /></td></tr>
<tr class="separator:aec199ecb8f0b1f1bd92e57b5a125cabf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a565272aa61b86cc25652498537641e81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a565272aa61b86cc25652498537641e81"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a565272aa61b86cc25652498537641e81">isXbusMaster</a> () const </td></tr>
<tr class="memdesc:a565272aa61b86cc25652498537641e81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Xbus Master. <br /></td></tr>
<tr class="separator:a565272aa61b86cc25652498537641e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b2e68b1d216e3aa711baa990fc61478"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b2e68b1d216e3aa711baa990fc61478"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6b2e68b1d216e3aa711baa990fc61478">isAwinda1</a> () const </td></tr>
<tr class="memdesc:a6b2e68b1d216e3aa711baa990fc61478"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an awinda1 device. <br /></td></tr>
<tr class="separator:a6b2e68b1d216e3aa711baa990fc61478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d6837e524c322a4cfa024c0dbb5460"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46d6837e524c322a4cfa024c0dbb5460"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a46d6837e524c322a4cfa024c0dbb5460">isAwinda2</a> () const </td></tr>
<tr class="memdesc:a46d6837e524c322a4cfa024c0dbb5460"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an awinda2 device. <br /></td></tr>
<tr class="separator:a46d6837e524c322a4cfa024c0dbb5460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c6aefccac72f890e4b93779293cbd93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c6aefccac72f890e4b93779293cbd93"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a2c6aefccac72f890e4b93779293cbd93">isAwinda</a> () const </td></tr>
<tr class="memdesc:a2c6aefccac72f890e4b93779293cbd93"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an awinda device. <br /></td></tr>
<tr class="separator:a2c6aefccac72f890e4b93779293cbd93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98eb82c9b2034ffb7de257cc78c82ed6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98eb82c9b2034ffb7de257cc78c82ed6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a98eb82c9b2034ffb7de257cc78c82ed6">isXbusMasterMotionTracker</a> () const </td></tr>
<tr class="memdesc:a98eb82c9b2034ffb7de257cc78c82ed6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Xbus Master Motion Tracker. <br /></td></tr>
<tr class="separator:a98eb82c9b2034ffb7de257cc78c82ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b242762259214233573b1a57accfc8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73b242762259214233573b1a57accfc8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a73b242762259214233573b1a57accfc8">isMtw1</a> () const </td></tr>
<tr class="memdesc:a73b242762259214233573b1a57accfc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTw1. <br /></td></tr>
<tr class="separator:a73b242762259214233573b1a57accfc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d79ee8c4048bfa7a7c5b29ceadbe39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0d79ee8c4048bfa7a7c5b29ceadbe39"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#af0d79ee8c4048bfa7a7c5b29ceadbe39">isMtw2</a> () const </td></tr>
<tr class="memdesc:af0d79ee8c4048bfa7a7c5b29ceadbe39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTw2. <br /></td></tr>
<tr class="separator:af0d79ee8c4048bfa7a7c5b29ceadbe39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ceb83fad1a3211992fc47747efde0c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13ceb83fad1a3211992fc47747efde0c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a13ceb83fad1a3211992fc47747efde0c">isMtw</a> () const </td></tr>
<tr class="memdesc:a13ceb83fad1a3211992fc47747efde0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTw. <br /></td></tr>
<tr class="separator:a13ceb83fad1a3211992fc47747efde0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c36071e7ed3a1094958bb66b98d3ba7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c36071e7ed3a1094958bb66b98d3ba7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a8c36071e7ed3a1094958bb66b98d3ba7">isMt9c</a> () const </td></tr>
<tr class="memdesc:a8c36071e7ed3a1094958bb66b98d3ba7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MT9c. <br /></td></tr>
<tr class="separator:a8c36071e7ed3a1094958bb66b98d3ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ea0b721c6fef767f73b68addaf6981"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73ea0b721c6fef767f73b68addaf6981"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a73ea0b721c6fef767f73b68addaf6981">isLegacyMtig</a> () const </td></tr>
<tr class="memdesc:a73ea0b721c6fef767f73b68addaf6981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a legacy MTi-G. <br /></td></tr>
<tr class="separator:a73ea0b721c6fef767f73b68addaf6981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7b22459735df012f39e808964b988f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e7b22459735df012f39e808964b988f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a3e7b22459735df012f39e808964b988f">isMtig</a> () const </td></tr>
<tr class="memdesc:a3e7b22459735df012f39e808964b988f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTi-G. <br /></td></tr>
<tr class="separator:a3e7b22459735df012f39e808964b988f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a870da8c24bae3bb96bc1beeb18c8ace5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a870da8c24bae3bb96bc1beeb18c8ace5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a870da8c24bae3bb96bc1beeb18c8ace5">isMtMk4</a> () const </td></tr>
<tr class="memdesc:a870da8c24bae3bb96bc1beeb18c8ace5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4. <br /></td></tr>
<tr class="separator:a870da8c24bae3bb96bc1beeb18c8ace5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c3c3cba24d5940f4110c641097d0b83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c3c3cba24d5940f4110c641097d0b83"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a8c3c3cba24d5940f4110c641097d0b83">isMtMk4_X</a> () const </td></tr>
<tr class="memdesc:a8c3c3cba24d5940f4110c641097d0b83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 1 series. <br /></td></tr>
<tr class="separator:a8c3c3cba24d5940f4110c641097d0b83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ecc39873d50b1a14b7ecef6912f8a1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ecc39873d50b1a14b7ecef6912f8a1b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a0ecc39873d50b1a14b7ecef6912f8a1b">isMtMk4_1</a> () const </td></tr>
<tr class="memdesc:a0ecc39873d50b1a14b7ecef6912f8a1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 1. <br /></td></tr>
<tr class="separator:a0ecc39873d50b1a14b7ecef6912f8a1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cd198ee565a2429c49656b1aff98a1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cd198ee565a2429c49656b1aff98a1d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a1cd198ee565a2429c49656b1aff98a1d">isMtMk4_2</a> () const </td></tr>
<tr class="memdesc:a1cd198ee565a2429c49656b1aff98a1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 2. <br /></td></tr>
<tr class="separator:a1cd198ee565a2429c49656b1aff98a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3181baafd6ddae074e9b5e5aca53c97e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3181baafd6ddae074e9b5e5aca53c97e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a3181baafd6ddae074e9b5e5aca53c97e">isMtMk4_3</a> () const </td></tr>
<tr class="memdesc:a3181baafd6ddae074e9b5e5aca53c97e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 3. <br /></td></tr>
<tr class="separator:a3181baafd6ddae074e9b5e5aca53c97e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6fb8e6d27a5e6ccccf97b2a934b7334"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6fb8e6d27a5e6ccccf97b2a934b7334"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#af6fb8e6d27a5e6ccccf97b2a934b7334">isMtMk4_X0</a> () const </td></tr>
<tr class="memdesc:af6fb8e6d27a5e6ccccf97b2a934b7334"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 10 series. <br /></td></tr>
<tr class="separator:af6fb8e6d27a5e6ccccf97b2a934b7334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5c0c6cf0e55dae4b434452c0083ad39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5c0c6cf0e55dae4b434452c0083ad39"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ae5c0c6cf0e55dae4b434452c0083ad39">isMtMk4_10</a> () const </td></tr>
<tr class="memdesc:ae5c0c6cf0e55dae4b434452c0083ad39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 10. <br /></td></tr>
<tr class="separator:ae5c0c6cf0e55dae4b434452c0083ad39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d8616490b5f47e7c2544e3581090108"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d8616490b5f47e7c2544e3581090108"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a4d8616490b5f47e7c2544e3581090108">isMtMk4_20</a> () const </td></tr>
<tr class="memdesc:a4d8616490b5f47e7c2544e3581090108"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 20. <br /></td></tr>
<tr class="separator:a4d8616490b5f47e7c2544e3581090108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac68b216703ad7ee5b4fb7519f17507fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac68b216703ad7ee5b4fb7519f17507fc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ac68b216703ad7ee5b4fb7519f17507fc">isMtMk4_30</a> () const </td></tr>
<tr class="memdesc:ac68b216703ad7ee5b4fb7519f17507fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 30. <br /></td></tr>
<tr class="separator:ac68b216703ad7ee5b4fb7519f17507fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe249c77bd034567be54f628fb538dca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe249c77bd034567be54f628fb538dca"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#afe249c77bd034567be54f628fb538dca">isMtMk4_X00</a> () const </td></tr>
<tr class="memdesc:afe249c77bd034567be54f628fb538dca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 100 series. <br /></td></tr>
<tr class="separator:afe249c77bd034567be54f628fb538dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f42da9bc87901c9251100a48fada772"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f42da9bc87901c9251100a48fada772"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a9f42da9bc87901c9251100a48fada772">isMtMk4_100</a> () const </td></tr>
<tr class="memdesc:a9f42da9bc87901c9251100a48fada772"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 100. <br /></td></tr>
<tr class="separator:a9f42da9bc87901c9251100a48fada772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee835b870c48d39ac3596ba2b106fbbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee835b870c48d39ac3596ba2b106fbbb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aee835b870c48d39ac3596ba2b106fbbb">isMtMk4_200</a> () const </td></tr>
<tr class="memdesc:aee835b870c48d39ac3596ba2b106fbbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 200. <br /></td></tr>
<tr class="separator:aee835b870c48d39ac3596ba2b106fbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a85e68858ff5ef7b383c3a2053abcd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a85e68858ff5ef7b383c3a2053abcd1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a4a85e68858ff5ef7b383c3a2053abcd1">isMtMk4_300</a> () const </td></tr>
<tr class="memdesc:a4a85e68858ff5ef7b383c3a2053abcd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 300. <br /></td></tr>
<tr class="separator:a4a85e68858ff5ef7b383c3a2053abcd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30eac292421c12973e1d546fd833e3a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30eac292421c12973e1d546fd833e3a1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a30eac292421c12973e1d546fd833e3a1">isMtMk4_400</a> () const </td></tr>
<tr class="memdesc:a30eac292421c12973e1d546fd833e3a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 400. <br /></td></tr>
<tr class="separator:a30eac292421c12973e1d546fd833e3a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1903dbe87f840537640207e3d5f80a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb1903dbe87f840537640207e3d5f80a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#abb1903dbe87f840537640207e3d5f80a">isMtMk4_500</a> () const </td></tr>
<tr class="memdesc:abb1903dbe87f840537640207e3d5f80a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 500. <br /></td></tr>
<tr class="separator:abb1903dbe87f840537640207e3d5f80a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac655e47ef3aa8f47695f94476d5b04c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac655e47ef3aa8f47695f94476d5b04c3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ac655e47ef3aa8f47695f94476d5b04c3">isMtMk4_600</a> () const </td></tr>
<tr class="memdesc:ac655e47ef3aa8f47695f94476d5b04c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 600. <br /></td></tr>
<tr class="separator:ac655e47ef3aa8f47695f94476d5b04c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a535cb3d823de5351be9d1545ac1d55cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a535cb3d823de5351be9d1545ac1d55cb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a535cb3d823de5351be9d1545ac1d55cb">isMtMk4_700</a> () const </td></tr>
<tr class="memdesc:a535cb3d823de5351be9d1545ac1d55cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 700. <br /></td></tr>
<tr class="separator:a535cb3d823de5351be9d1545ac1d55cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebf9f3a62d20c9d668421c9a0e0ffcca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebf9f3a62d20c9d668421c9a0e0ffcca"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aebf9f3a62d20c9d668421c9a0e0ffcca">isMtMk4_710</a> () const </td></tr>
<tr class="memdesc:aebf9f3a62d20c9d668421c9a0e0ffcca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 710. <br /></td></tr>
<tr class="separator:aebf9f3a62d20c9d668421c9a0e0ffcca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af9942cd9f3671581a8e60d5158a6ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5af9942cd9f3671581a8e60d5158a6ea"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a5af9942cd9f3671581a8e60d5158a6ea">isMtMk4_800</a> () const </td></tr>
<tr class="memdesc:a5af9942cd9f3671581a8e60d5158a6ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 800. <br /></td></tr>
<tr class="separator:a5af9942cd9f3671581a8e60d5158a6ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b35980a95b7ba6dc1108fecd1c4f2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9b35980a95b7ba6dc1108fecd1c4f2e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ad9b35980a95b7ba6dc1108fecd1c4f2e">isMtMk4_900</a> () const </td></tr>
<tr class="memdesc:ad9b35980a95b7ba6dc1108fecd1c4f2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk4 900. <br /></td></tr>
<tr class="separator:ad9b35980a95b7ba6dc1108fecd1c4f2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980fff3aa468b504c5ab5006f71bc953"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a980fff3aa468b504c5ab5006f71bc953"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a980fff3aa468b504c5ab5006f71bc953">isMtMk5</a> () const </td></tr>
<tr class="memdesc:a980fff3aa468b504c5ab5006f71bc953"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5. <br /></td></tr>
<tr class="separator:a980fff3aa468b504c5ab5006f71bc953"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91b6d939a92139ba0882e3a2b407e6e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91b6d939a92139ba0882e3a2b407e6e1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a91b6d939a92139ba0882e3a2b407e6e1">isMtMk5_X0</a> () const </td></tr>
<tr class="memdesc:a91b6d939a92139ba0882e3a2b407e6e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 10 series. <br /></td></tr>
<tr class="separator:a91b6d939a92139ba0882e3a2b407e6e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0f72de4c8a722e6198bbf8e6da92654"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0f72de4c8a722e6198bbf8e6da92654"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#af0f72de4c8a722e6198bbf8e6da92654">isMtMk5_10</a> () const </td></tr>
<tr class="memdesc:af0f72de4c8a722e6198bbf8e6da92654"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 10. <br /></td></tr>
<tr class="separator:af0f72de4c8a722e6198bbf8e6da92654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35c2dda3863133ce72b3abb8c1f3dabe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35c2dda3863133ce72b3abb8c1f3dabe"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a35c2dda3863133ce72b3abb8c1f3dabe">isMtMk5_20</a> () const </td></tr>
<tr class="memdesc:a35c2dda3863133ce72b3abb8c1f3dabe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 20. <br /></td></tr>
<tr class="separator:a35c2dda3863133ce72b3abb8c1f3dabe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad24ea9989db43854ae444edc388d1a74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad24ea9989db43854ae444edc388d1a74"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ad24ea9989db43854ae444edc388d1a74">isMtMk5_30</a> () const </td></tr>
<tr class="memdesc:ad24ea9989db43854ae444edc388d1a74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 30. <br /></td></tr>
<tr class="separator:ad24ea9989db43854ae444edc388d1a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad89f01fd7db5afbc71b5f3144bd4a453"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad89f01fd7db5afbc71b5f3144bd4a453"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ad89f01fd7db5afbc71b5f3144bd4a453">isMtMk5_X00</a> () const </td></tr>
<tr class="memdesc:ad89f01fd7db5afbc71b5f3144bd4a453"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 100 series. <br /></td></tr>
<tr class="separator:ad89f01fd7db5afbc71b5f3144bd4a453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71192cca162dcb26b08ffb0b3f6c505"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af71192cca162dcb26b08ffb0b3f6c505"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#af71192cca162dcb26b08ffb0b3f6c505">isMtMk5_100</a> () const </td></tr>
<tr class="memdesc:af71192cca162dcb26b08ffb0b3f6c505"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 100. <br /></td></tr>
<tr class="separator:af71192cca162dcb26b08ffb0b3f6c505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8588026873ab7a9202f3b61364195f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f8588026873ab7a9202f3b61364195f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6f8588026873ab7a9202f3b61364195f">isMtMk5_200</a> () const </td></tr>
<tr class="memdesc:a6f8588026873ab7a9202f3b61364195f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 200. <br /></td></tr>
<tr class="separator:a6f8588026873ab7a9202f3b61364195f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a863aa21849d9528534fb425c19d8eab1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a863aa21849d9528534fb425c19d8eab1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a863aa21849d9528534fb425c19d8eab1">isMtMk5_300</a> () const </td></tr>
<tr class="memdesc:a863aa21849d9528534fb425c19d8eab1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 300. <br /></td></tr>
<tr class="separator:a863aa21849d9528534fb425c19d8eab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5bec3cb266ed525d74a6f112d2646f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b5bec3cb266ed525d74a6f112d2646f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a7b5bec3cb266ed525d74a6f112d2646f">isMtMk5_710</a> () const </td></tr>
<tr class="memdesc:a7b5bec3cb266ed525d74a6f112d2646f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTMk5 710. <br /></td></tr>
<tr class="separator:a7b5bec3cb266ed525d74a6f112d2646f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a060575031b7d661310605ec7a161fe9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a060575031b7d661310605ec7a161fe9a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a060575031b7d661310605ec7a161fe9a">isMtx2</a> () const </td></tr>
<tr class="memdesc:a060575031b7d661310605ec7a161fe9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTx2. <br /></td></tr>
<tr class="separator:a060575031b7d661310605ec7a161fe9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac8942679c68363563566b66f4ccbd13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac8942679c68363563566b66f4ccbd13"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aac8942679c68363563566b66f4ccbd13">isMtx</a> () const </td></tr>
<tr class="memdesc:aac8942679c68363563566b66f4ccbd13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an MTx. <br /></td></tr>
<tr class="separator:aac8942679c68363563566b66f4ccbd13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9df4500a5aaaa2c891a20102bdfab94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9df4500a5aaaa2c891a20102bdfab94"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ad9df4500a5aaaa2c891a20102bdfab94">isWirelessMaster</a> () const </td></tr>
<tr class="memdesc:ad9df4500a5aaaa2c891a20102bdfab94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a Wireless Master device (Awinda Station, Awinda Dongle, Awinda OEM). <br /></td></tr>
<tr class="separator:ad9df4500a5aaaa2c891a20102bdfab94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a722369327d3b9fa88fcc958902bd5a07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a722369327d3b9fa88fcc958902bd5a07"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a722369327d3b9fa88fcc958902bd5a07">isAwinda1Station</a> () const </td></tr>
<tr class="memdesc:a722369327d3b9fa88fcc958902bd5a07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda1 Station. <br /></td></tr>
<tr class="separator:a722369327d3b9fa88fcc958902bd5a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab763c9b55e707c054804b833450a3737"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab763c9b55e707c054804b833450a3737"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ab763c9b55e707c054804b833450a3737">isAwinda1Dongle</a> () const </td></tr>
<tr class="memdesc:ab763c9b55e707c054804b833450a3737"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda1 Dongle. <br /></td></tr>
<tr class="separator:ab763c9b55e707c054804b833450a3737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60557aa2f303ac0a604750b779065c6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60557aa2f303ac0a604750b779065c6c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a60557aa2f303ac0a604750b779065c6c">isAwinda1Oem</a> () const </td></tr>
<tr class="memdesc:a60557aa2f303ac0a604750b779065c6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda1 OEM board. <br /></td></tr>
<tr class="separator:a60557aa2f303ac0a604750b779065c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee38f67183c88382a7d6ae1b6e3ea90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adee38f67183c88382a7d6ae1b6e3ea90"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#adee38f67183c88382a7d6ae1b6e3ea90">isAwinda2Station</a> () const </td></tr>
<tr class="memdesc:adee38f67183c88382a7d6ae1b6e3ea90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda2 Station. <br /></td></tr>
<tr class="separator:adee38f67183c88382a7d6ae1b6e3ea90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dbcfc0730e72bf1acf0848736477c29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dbcfc0730e72bf1acf0848736477c29"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a7dbcfc0730e72bf1acf0848736477c29">isAwinda2Dongle</a> () const </td></tr>
<tr class="memdesc:a7dbcfc0730e72bf1acf0848736477c29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda2 Dongle. <br /></td></tr>
<tr class="separator:a7dbcfc0730e72bf1acf0848736477c29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb86d9d5e06d30e088833119268b24f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bb86d9d5e06d30e088833119268b24f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6bb86d9d5e06d30e088833119268b24f">isAwinda2Oem</a> () const </td></tr>
<tr class="memdesc:a6bb86d9d5e06d30e088833119268b24f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda2 OEM board. <br /></td></tr>
<tr class="separator:a6bb86d9d5e06d30e088833119268b24f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ed209ea2be838cbb21db6ed404d8b57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ed209ea2be838cbb21db6ed404d8b57"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a9ed209ea2be838cbb21db6ed404d8b57">isAwindaStation</a> () const </td></tr>
<tr class="memdesc:a9ed209ea2be838cbb21db6ed404d8b57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda Station. <br /></td></tr>
<tr class="separator:a9ed209ea2be838cbb21db6ed404d8b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3781a6fe6e151f7148e51ce4015e818c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3781a6fe6e151f7148e51ce4015e818c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a3781a6fe6e151f7148e51ce4015e818c">isAwindaDongle</a> () const </td></tr>
<tr class="memdesc:a3781a6fe6e151f7148e51ce4015e818c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda Dongle. <br /></td></tr>
<tr class="separator:a3781a6fe6e151f7148e51ce4015e818c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa73ada264791a94c9268475b1b710656"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa73ada264791a94c9268475b1b710656"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aa73ada264791a94c9268475b1b710656">isAwindaOem</a> () const </td></tr>
<tr class="memdesc:aa73ada264791a94c9268475b1b710656"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Awinda OEM board. <br /></td></tr>
<tr class="separator:aa73ada264791a94c9268475b1b710656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38af3441cea549c6e8f9add3d55c2189"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38af3441cea549c6e8f9add3d55c2189"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a38af3441cea549c6e8f9add3d55c2189">isSyncStation</a> () const </td></tr>
<tr class="memdesc:a38af3441cea549c6e8f9add3d55c2189"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a SyncStation. <br /></td></tr>
<tr class="separator:a38af3441cea549c6e8f9add3d55c2189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1aa4d1feefe1e61382c414709f09b12a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aa4d1feefe1e61382c414709f09b12a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a1aa4d1feefe1e61382c414709f09b12a">isBodyPack</a> () const </td></tr>
<tr class="memdesc:a1aa4d1feefe1e61382c414709f09b12a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a bodypack device. <br /></td></tr>
<tr class="separator:a1aa4d1feefe1e61382c414709f09b12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56fc01693e2407c857b24fbe67abac05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56fc01693e2407c857b24fbe67abac05"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a56fc01693e2407c857b24fbe67abac05">isFis1100EvalKit</a> () const </td></tr>
<tr class="memdesc:a56fc01693e2407c857b24fbe67abac05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a Fairchild FIS1100 SDK. <br /></td></tr>
<tr class="separator:a56fc01693e2407c857b24fbe67abac05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40f5cc98e15b692f3b9a81d254e6520d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40f5cc98e15b692f3b9a81d254e6520d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a40f5cc98e15b692f3b9a81d254e6520d">isFis2100EvalKit</a> () const </td></tr>
<tr class="memdesc:a40f5cc98e15b692f3b9a81d254e6520d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a Fairchild FIS2100 SDK. <br /></td></tr>
<tr class="separator:a40f5cc98e15b692f3b9a81d254e6520d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8da2adbedb6c3e5de3b39b0e7c63753"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8da2adbedb6c3e5de3b39b0e7c63753"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ac8da2adbedb6c3e5de3b39b0e7c63753">isFisEvalKit</a> () const </td></tr>
<tr class="memdesc:ac8da2adbedb6c3e5de3b39b0e7c63753"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a Fairchild FIS SDK. <br /></td></tr>
<tr class="separator:ac8da2adbedb6c3e5de3b39b0e7c63753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f37d2972b2b63de207087456355f69d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f37d2972b2b63de207087456355f69d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a1f37d2972b2b63de207087456355f69d">isFmt_X000</a> () const </td></tr>
<tr class="memdesc:a1f37d2972b2b63de207087456355f69d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an Fmt x000 series. <br /></td></tr>
<tr class="separator:a1f37d2972b2b63de207087456355f69d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5d704b947cbf1c6749f5fbb20cf1ccd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5d704b947cbf1c6749f5fbb20cf1ccd"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#af5d704b947cbf1c6749f5fbb20cf1ccd">isFmt1000</a> () const </td></tr>
<tr class="memdesc:af5d704b947cbf1c6749f5fbb20cf1ccd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an FMT1000 series. <br /></td></tr>
<tr class="separator:af5d704b947cbf1c6749f5fbb20cf1ccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b6392132dc4097e2acae2a74f45cbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2b6392132dc4097e2acae2a74f45cbc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ae2b6392132dc4097e2acae2a74f45cbc">isFmt1010</a> () const </td></tr>
<tr class="memdesc:ae2b6392132dc4097e2acae2a74f45cbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an FMT1010. <br /></td></tr>
<tr class="separator:ae2b6392132dc4097e2acae2a74f45cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f79ed33d0858df1c0c03a95a2e9ede3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f79ed33d0858df1c0c03a95a2e9ede3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6f79ed33d0858df1c0c03a95a2e9ede3">isFmt1020</a> () const </td></tr>
<tr class="memdesc:a6f79ed33d0858df1c0c03a95a2e9ede3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an FMT1020. <br /></td></tr>
<tr class="separator:a6f79ed33d0858df1c0c03a95a2e9ede3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aced18cc3faad7b24d99fc6b1858d1d88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aced18cc3faad7b24d99fc6b1858d1d88"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aced18cc3faad7b24d99fc6b1858d1d88">isFmt1030</a> () const </td></tr>
<tr class="memdesc:aced18cc3faad7b24d99fc6b1858d1d88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an FMT1030. <br /></td></tr>
<tr class="separator:aced18cc3faad7b24d99fc6b1858d1d88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ae1bb610d1dda180512e1f489fb5f31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ae1bb610d1dda180512e1f489fb5f31"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a0ae1bb610d1dda180512e1f489fb5f31">isImu</a> () const </td></tr>
<tr class="memdesc:a0ae1bb610d1dda180512e1f489fb5f31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an IMU. <br /></td></tr>
<tr class="separator:a0ae1bb610d1dda180512e1f489fb5f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a202c98b20331e8439be9c8ffc8919f61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a202c98b20331e8439be9c8ffc8919f61"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a202c98b20331e8439be9c8ffc8919f61">isVru</a> () const </td></tr>
<tr class="memdesc:a202c98b20331e8439be9c8ffc8919f61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents a VRU. <br /></td></tr>
<tr class="separator:a202c98b20331e8439be9c8ffc8919f61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66146d70f96b21b53b2504212d3a9f91"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66146d70f96b21b53b2504212d3a9f91"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a66146d70f96b21b53b2504212d3a9f91">isAhrs</a> () const </td></tr>
<tr class="memdesc:a66146d70f96b21b53b2504212d3a9f91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents an AHRS. <br /></td></tr>
<tr class="separator:a66146d70f96b21b53b2504212d3a9f91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a784cd9a0b17427e83ceb57b3a6be022d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a784cd9a0b17427e83ceb57b3a6be022d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a784cd9a0b17427e83ceb57b3a6be022d">isContainerDevice</a> () const </td></tr>
<tr class="memdesc:a784cd9a0b17427e83ceb57b3a6be022d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID represents any of the container devices such as Xbus Master and Awinda Station. <br /></td></tr>
<tr class="separator:a784cd9a0b17427e83ceb57b3a6be022d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a2af950f4592ace982958f4f6f7c2ba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a8a2af950f4592ace982958f4f6f7c2ba">containsBroadcast</a> () const </td></tr>
<tr class="memdesc:a8a2af950f4592ace982958f4f6f7c2ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the device ID has the broadcast bit set.  <a href="#a8a2af950f4592ace982958f4f6f7c2ba">More...</a><br /></td></tr>
<tr class="separator:a8a2af950f4592ace982958f4f6f7c2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06a042bdc108037268d59698238610b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ab06a042bdc108037268d59698238610b">isBroadcast</a> () const </td></tr>
<tr class="memdesc:ab06a042bdc108037268d59698238610b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this device ID <em>is</em> <em>the</em> broadcast id.  <a href="#ab06a042bdc108037268d59698238610b">More...</a><br /></td></tr>
<tr class="separator:ab06a042bdc108037268d59698238610b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050cdc841d87bed345f4fa32c03fe3f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a050cdc841d87bed345f4fa32c03fe3f2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a050cdc841d87bed345f4fa32c03fe3f2">operator==</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a050cdc841d87bed345f4fa32c03fe3f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the <em>other</em> deviceId matches this deviceId. <br /></td></tr>
<tr class="separator:a050cdc841d87bed345f4fa32c03fe3f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b292eba4cf4abbf4acc2b7de1388acd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b292eba4cf4abbf4acc2b7de1388acd"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a0b292eba4cf4abbf4acc2b7de1388acd">operator!=</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a0b292eba4cf4abbf4acc2b7de1388acd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the <em>other</em> deviceId does not match this deviceId. <br /></td></tr>
<tr class="separator:a0b292eba4cf4abbf4acc2b7de1388acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b25bc771a26de6cdb0563fef1eb015e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b25bc771a26de6cdb0563fef1eb015e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6b25bc771a26de6cdb0563fef1eb015e">operator&lt;</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a6b25bc771a26de6cdb0563fef1eb015e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this deviceId is less than the <em>other</em> deviceId. <br /></td></tr>
<tr class="separator:a6b25bc771a26de6cdb0563fef1eb015e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8330b4ce10a558da6898e313ff863909"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8330b4ce10a558da6898e313ff863909"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a8330b4ce10a558da6898e313ff863909">operator&lt;=</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a8330b4ce10a558da6898e313ff863909"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this deviceId is less or equal to the <em>other</em> deviceId. <br /></td></tr>
<tr class="separator:a8330b4ce10a558da6898e313ff863909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2106534238c55671dc0036110b7f4f62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2106534238c55671dc0036110b7f4f62"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a2106534238c55671dc0036110b7f4f62">operator&gt;</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a2106534238c55671dc0036110b7f4f62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this deviceId is larger than the <em>other</em> deviceId. <br /></td></tr>
<tr class="separator:a2106534238c55671dc0036110b7f4f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a658a476a67eb7b50216ae5492294a1f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a658a476a67eb7b50216ae5492294a1f6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a658a476a67eb7b50216ae5492294a1f6">operator&gt;=</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a658a476a67eb7b50216ae5492294a1f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this deviceId is larger or equal to the <em>other</em> deviceId. <br /></td></tr>
<tr class="separator:a658a476a67eb7b50216ae5492294a1f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38be136ed079948babef78dfa0cb3724"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a38be136ed079948babef78dfa0cb3724">contains</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;other) const </td></tr>
<tr class="memdesc:a38be136ed079948babef78dfa0cb3724"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this is equal to <em>other</em> or this is a type-specifier that matches <em>other</em>.  <a href="#a38be136ed079948babef78dfa0cb3724">More...</a><br /></td></tr>
<tr class="separator:a38be136ed079948babef78dfa0cb3724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec15dd56935c63c62ba8f284df21473b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec15dd56935c63c62ba8f284df21473b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aec15dd56935c63c62ba8f284df21473b">isType</a> () const </td></tr>
<tr class="memdesc:aec15dd56935c63c62ba8f284df21473b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the ID is just a device type, not an actual device ID. <br /></td></tr>
<tr class="separator:aec15dd56935c63c62ba8f284df21473b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0731e45a9bd76547874f1b96fa01448"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0731e45a9bd76547874f1b96fa01448"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#ae0731e45a9bd76547874f1b96fa01448">type</a> () const </td></tr>
<tr class="memdesc:ae0731e45a9bd76547874f1b96fa01448"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of device identified by this id. <br /></td></tr>
<tr class="separator:ae0731e45a9bd76547874f1b96fa01448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebf8519762f14a98b1eddd9d74b38133"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#aebf8519762f14a98b1eddd9d74b38133">deviceType</a> (bool detailed=true) const </td></tr>
<tr class="memdesc:aebf8519762f14a98b1eddd9d74b38133"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the (detailed) device type of this id.  <a href="#aebf8519762f14a98b1eddd9d74b38133">More...</a><br /></td></tr>
<tr class="separator:aebf8519762f14a98b1eddd9d74b38133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8502ceb9b28311eeb0db6bdc021f0ba5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a8502ceb9b28311eeb0db6bdc021f0ba5">deviceTypeMask</a> (bool detailed=true) const </td></tr>
<tr class="memdesc:a8502ceb9b28311eeb0db6bdc021f0ba5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the detailed device type mask of this id.  <a href="#a8502ceb9b28311eeb0db6bdc021f0ba5">More...</a><br /></td></tr>
<tr class="separator:a8502ceb9b28311eeb0db6bdc021f0ba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b97f1c2418e42c37d5106271706be3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b97f1c2418e42c37d5106271706be3c"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a3b97f1c2418e42c37d5106271706be3c">typeName</a> () const </td></tr>
<tr class="memdesc:a3b97f1c2418e42c37d5106271706be3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of the type of device identified by this id. <br /></td></tr>
<tr class="separator:a3b97f1c2418e42c37d5106271706be3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a6ea983f3e0ba54cd7707f5ffa43f9203"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ea983f3e0ba54cd7707f5ffa43f9203"></a>
static <a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_id.html#a6ea983f3e0ba54cd7707f5ffa43f9203">broadcast</a> ()</td></tr>
<tr class="memdesc:a6ea983f3e0ba54cd7707f5ffa43f9203"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates and returns a <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> representing the broadcast deviceId. <br /></td></tr>
<tr class="separator:a6ea983f3e0ba54cd7707f5ffa43f9203"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains an Xsens device ID and provides operations for determining the type of device. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a38be136ed079948babef78dfa0cb3724"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceId::contains </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true if this is equal to <em>other</em> or this is a type-specifier that matches <em>other</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The deviceid to compare this deviceid to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the deviceids are equal or the type-specifier matches </dd></dl>

</div>
</div>
<a class="anchor" id="a8a2af950f4592ace982958f4f6f7c2ba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceId::containsBroadcast </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test if the device ID has the broadcast bit set. </p>
<dl class="section return"><dt>Returns</dt><dd>True if the broadcast bit is set </dd></dl>

</div>
</div>
<a class="anchor" id="aebf8519762f14a98b1eddd9d74b38133"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t XsDeviceId::deviceType </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detailed</em> = <code>true</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the (detailed) device type of this id. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">detailed</td><td>Boolean whether detailed information is returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The requested device type </dd></dl>

</div>
</div>
<a class="anchor" id="a8502ceb9b28311eeb0db6bdc021f0ba5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t XsDeviceId::deviceTypeMask </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detailed</em> = <code>true</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the detailed device type mask of this id. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">detailed</td><td>Boolean whether detailed information is returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The requested device type mask </dd></dl>

</div>
</div>
<a class="anchor" id="a17cbb6ca784615b3da8f5e0d532603ec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceId::fromString </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Fills the deviceId with the parsed value from the supplied string <em>s</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>The string containing the device ID </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab06a042bdc108037268d59698238610b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceId::isBroadcast </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test if this device ID <em>is</em> <em>the</em> broadcast id. </p>
<dl class="section return"><dt>Returns</dt><dd>TRue if the deviceid is a broadcast </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
